aboutsummaryrefslogtreecommitdiffstats
path: root/test
diff options
context:
space:
mode:
authorGary Wu <gary.i.wu@huawei.com>2017-11-09 11:42:15 -0800
committerGary Wu <gary.i.wu@huawei.com>2017-11-09 11:42:15 -0800
commit4aa2aeedfffa45e2e2022a070bcc350b2a0210e5 (patch)
tree1dee0837ff5261c5cd921b4e8f3bea257b0d5b21 /test
parenta5f972e99962c2fe3bb426a041eb4ba344f617fd (diff)
Update robot initialization detection
Change-Id: I0b19fde5d36b4b5582c983979a336eddab46f87c Issue-ID: INT-278 Signed-off-by: Gary Wu <gary.i.wu@huawei.com>
Diffstat (limited to 'test')
-rwxr-xr-xtest/ete/scripts/remote/run-robot.sh10
-rwxr-xr-xtest/ete/scripts/run-healthcheck.sh6
2 files changed, 11 insertions, 5 deletions
diff --git a/test/ete/scripts/remote/run-robot.sh b/test/ete/scripts/remote/run-robot.sh
index ff7223a17..8eebd9f3f 100755
--- a/test/ete/scripts/remote/run-robot.sh
+++ b/test/ete/scripts/remote/run-robot.sh
@@ -1,9 +1,10 @@
-#!/bin/bash
+#!/bin/bash -x
cd /opt
-if [ ! -x /opt/demo.sh ]; then
- echo "Robot VM not initialized"
+docker ps | grep -q openecompete_container
+if [ ! $? -eq 0 ]; then
+ echo "Robot not initialized"
exit 2
fi
@@ -12,7 +13,8 @@ if [ ! -d eteshare/logs/demo ]; then
echo "gary_wu" > /opt/config/openstack_username.txt
echo $OS_PASSWORD_INPUT > /opt/config/openstack_password.txt
/bin/bash /opt/eteshare/config/vm_config2robot.sh
- echo "test" | /opt/demo.sh init_robot
+ # set robot VM http server password
+ echo "admin" | /opt/demo.sh init_robot
fi
/opt/ete.sh health
diff --git a/test/ete/scripts/run-healthcheck.sh b/test/ete/scripts/run-healthcheck.sh
index 10811b500..057504efd 100755
--- a/test/ete/scripts/run-healthcheck.sh
+++ b/test/ete/scripts/run-healthcheck.sh
@@ -1,4 +1,4 @@
-#!/bin/bash
+#!/bin/bash -x
SSH_KEY=~/.ssh/onap_key
@@ -13,6 +13,10 @@ cd $WORKSPACE/test/ete/scripts
ROBOT_IP=$(./get-floating-ip.sh onap-robot)
echo "ROBOT_IP=${ROBOT_IP}"
+if [ "" == "${ROBOT_IP}" ]; then
+ exit 1
+fi
+
ssh-keygen -R ${ROBOT_IP}
ssh -o StrictHostKeychecking=no -i ${SSH_KEY} root@${ROBOT_IP} "OS_PASSWORD_INPUT=$OS_PASSWORD_INPUT bash -s" < ./remote/run-robot.sh